lockId along with current exchange rates relative to EUR. The locked rates remain fixed until the timestamp specified in validUntil (typically 60 seconds).lockId in the exchange execution request to lock in quoted rates and eliminate market slippage risks.rates object.validUntil field provides the exact ISO 8601 UTC timestamp when the rate lock expires.lockId will be rejected. Always check the validUntil timestamp prior to submitting an exchange request.curl --location --request POST 'https://stage-api.fintegence.io/v1/exchange/lock' \
--header 'x-api-key: <api-key>'{
"lockId": "b14472f5-6843-4c02-b808-438eedd335d9",
"rates": {
"BNB": 521.9813391280026,
"BTC": 56390.24520862155,
"CAD": 0.6200400669891288,
"ETH": 1666.91772456203,
"EUR": 1,
"LDO": 0.25540760767198994,
"LTC": 39.334426044332346,
"POL": 0.06687091375662049,
"SOL": 66.52282603233432,
"TON": 1.156,
"USD": 0.8654501898797717,
"WIF": 0.1442047811555368,
"WOO": 0.010053791028783414,
"XRP": 0.8960926854023409,
"ZND": 0.000084405713836902,
"BONK": 0.0000022180775270663336,
"DOGE": 0.06056330404505999,
"PEPE": 0.0000025109376723497537,
"SHIB": 0.000004059926300803522,
"USDC": 0.8654160888516711,
"USDT": 0.8648916086729149,
"FLOKI": 0.000018653058079689674,
"PYUSD": 0.8653837798581624,
"TRUMP": 1.2981816476930916
},
"validUntil": "2026-09-11T08:51:30.788Z"
}